Subject: RE: CCL:Gaussian 03 PES results

From: "Noel O'Boyle" <noel.oboyle2-.at.-mail.dcu.ie>
Date: Fri, 25 Jun 2004 09:32:17 +0100

Hello Jim,

I think you should look at Python (www.python.org) - available for free
for Windows and Linux.

I have used Python to automate a lot of the common tasks I do - the results
are available as GaussSum (gausssum.sourceforge.net). Warren DeLano's PyMol
is a much more advanced example of what's possible with Python.

A more everyday example - let's say you want the energies given by the lines
containing "SCF Done":

input=open("myoutput.out","r") # open file for 'r'eading
line=input.readline() # Get the first line from the input file

while len(line)>0:    # Loop through every line in the file
   if line.find("SCF Done")>=0: # If the line contains the phrase "SCF Done"
      splitup=line.strip().split() # Creates a list of 'words' using spaces
as separators
      energy=splitup[4] # The energy is the 5th item in the list
      print energy      # Write the energy on the screen (or into an outputfile)
   line=input.readline() # Get the next line

input.close() # Tidy up

(Of course, in Linux you can do this particular job quicker with 'grep'
and 'cut' - but this is not true for more complicated jobs, which is what
you want to do - to get the values of the variables and create a table)

I have never done a scan, so I don't have any example output files here.
If you try this, you can also read in the values of the variables and create
a table yourself at the end of program.

The Windows version of Python comes with a simple GUI for writing and running
programs, but you can also run programs at the command line:
 e.g. python myprog.py myinputfile.out

If you need any help, please let me know.

Noel

>-- Original Message --
>From: "Jim Pfaendtner" <pfaendtner-.at.-northwestern.edu>
>To: <chemistry-.at.-ccl.net>
>Subject: CCL:Gaussian 03 PES results
>Date: Thu, 24 Jun 2004 10:05:43 -0500
>
>
>Hi all,
> 
>I have performed a potential energy scan over two coordinates with
>geometry optimization at each point.  From what I could gather from the
>G03 manual and trying to get the simulations running, the way to do this
>is like this:
> 
> 
># ... opt(addredundant,..) ..
> 
><geometry>
> 
>X Y <start> S <#steps <stepsize>
>W Z <start> S <#steps <stepsize>
> 
> 
>Where X,Y,W,Z are my coordinates of interest.
> 
> 
>The calculation ran and completed geometry optimization at each step.
>But I don't get a nice table like the Gaussian manual says I should by
>using the scan keyword.  I don't want to just use the scan keyword,
>because I want geometry optimization at each step.
> 
>Is there a way to get my results out of my log file? I know they are in
>there, but I have done post-processing w/Excel and it's not that fun and
>prone to errors.
> 
> 
>Thanks!
> 
> 
>